#
# spec file for package compat-libpthread-nonshared
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           compat-libpthread-nonshared
Summary:        Compatibility support for linking against libpthread_nonshared.a.
License:        CC0-1.0+
Version:        0
Release:        3.3.1
ExclusiveArch:  x86_64 %{ix86}

%description
This package provides compatibility support for applications that expect
libpthread_nonshared.a to exist. The support provided is in the form of
an empty libpthread_nonshared.a that allows dynamic links to succeed.
Such applications should be adjusted to avoid linking against
libpthread_nonshared.a which is no longer used. The static library
libpthread_nonshared.a is an internal implementation detail of the C
runtime and should not be expected to exist.

%install
mkdir -p %buildroot%{_libdir}
ar cr %{buildroot}%{_libdir}/libpthread_nonshared.a

%files
%{_libdir}/libpthread_nonshared.a

%changelog
* Mon Jul 12 2021 schwab@suse.de
- Also build 32-bit x86 version (bsc#1188004)
* Wed Nov 11 2020 schwab@suse.de
- New (bsc#1178526)
